package ru.themixray.puton;

import ru.themixray.puton.util.UnrealConfig;

import java.util.List;

public class Config {
    public static boolean ALLOW_HELMET;
    public static boolean ALLOW_CHESTPLATE;
    public static boolean ALLOW_LEGGINGS;
    public static boolean ALLOW_BOOTS;
    public static List<String> HELMET_COMMANDS;
    public static List<String> CHESTPLATE_COMMANDS;
    public static List<String> LEGGINGS_COMMANDS;
    public static List<String> BOOTS_COMMANDS;

    public static void loadConfig(UnrealConfig conf) {
        ALLOW_HELMET = (Boolean) conf.get("allow_helmet");
        ALLOW_CHESTPLATE = (Boolean) conf.get("allow_chestplate");
        ALLOW_LEGGINGS = (Boolean) conf.get("allow_leggings");
        ALLOW_BOOTS = (Boolean) conf.get("allow_boots");
        HELMET_COMMANDS = (List<String>) conf.get("helmet_commands");
        CHESTPLATE_COMMANDS = (List<String>) conf.get("chestplate_commands");
        LEGGINGS_COMMANDS = (List<String>) conf.get("leggings_commands");
        BOOTS_COMMANDS = (List<String>) conf.get("boots_commands");
    }
}
